// Copyright (c) 2024 mStar
//
// Licensed under the EUPL, Version 1.2
//
// You may not use this work except in compliance with the Licence.
// You should have received a copy of the Licence along with this work. If not, see:
// <https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12>.
// See the Licence for the specific language governing permissions and limitations under the Licence.
//

package storage

import (
	"fmt"

	"gitlab.com/beckersam/linstrom/config"
	"gorm.io/driver/postgres"
	"gorm.io/gorm"
)

func NewDb(cfg *config.Config) (*gorm.DB, error) {
	db, err := gorm.Open(postgres.Open(cfg.General.DbPath))
	if err != nil {
		return nil, fmt.Errorf("Failed to connect to db %s: %w", cfg.General.DbPath, err)
	}
	db.AutoMigrate(&personDB{}, &noteDB{})
	return db, nil
}
